local fn = _gn(0xFA0675AB151073FA)
--- Overwrites the minimum time the ped will stay on the ground for after being stunned. Setting this while the ped is stunned will not alter the duration of the current stun but will still effect future stuns.
-- Passing -1 into the second parameter `minTimeInMs` will reset the modifier, making it use the weapons original `DamageTime` as the stun duration (see `update/update.rpf/common/data/ai/weapons.meta`)
-- **NOTE**: Unlike what the native name implies, this works on any weapon that has its `DamageType` in the `weapons.meta` set to `ELECTRIC`.
-- @param ped The ped to set the min ground time for
-- @param minTimeInMs The minimum time the stun should last in milliseconds.
function Global.SetPedMinGroundTimeForStungun(ped, minTimeInMs)
	return fn(ped, minTimeInMs)
end
