local fn = _gn(0xAD738C3085FE7E11)
--- Assigns an existing entity to be owned by the current script. If the entity was not owned by a script yet, this also means the entity will remain persistent until released.
-- Note that this is not needed right after creating an entity as a script-created entity will automatically be assigned.
-- @param entity An entity handle.
-- @param scriptHostObject Whether or not to assign script info to this entity, if set to false the entity will only be protected from despawning locally.
-- @param bGrabFromOtherScript Changes the entity so it's owned by the current script if the entity is already a mission entity. This will only work on entities the machine has control of (non-remote entities).
function Global.SetEntityAsMissionEntity(entity, scriptHostObject, bGrabFromOtherScript)
	return fn(entity, scriptHostObject, bGrabFromOtherScript)
end
